"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
Object.defineProperty(exports, "RunlyProvider", {
  enumerable: true,
  get: function () {
    return _core.RunlyProvider;
  }
});
Object.defineProperty(exports, "RunProgress", {
  enumerable: true,
  get: function () {
    return _progress.default;
  }
});
Object.defineProperty(exports, "OrgChooser", {
  enumerable: true,
  get: function () {
    return _orgChooser.default;
  }
});
exports.BootstrapStyles = void 0;

var _react = _interopRequireWildcard(require("react"));

var _reactHelmet = _interopRequireDefault(require("react-helmet"));

var _core = require("@runly/core");

var _progress = _interopRequireDefault(require("./progress"));

var _orgChooser = _interopRequireDefault(require("./org-chooser"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _getRequireWildcardCache() { if (typeof WeakMap !== "function") return null; var cache = new WeakMap(); _getRequireWildcardCache = function () { return cache; }; return cache; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

const bs4test = () => {
  let result = null;

  if (document) {
    const el = document.createElement("div");
    el.setAttribute("style", "display: block;");
    el.setAttribute("class", "d-inline");
    document.body.appendChild(el);
    result = window.getComputedStyle(el).display === "inline";
    document.body.removeChild(el);
  }

  return result;
};

const BootstrapStyles = () => {
  const [hasBs4, setHasBs4] = (0, _react.useState)(null);
  (0, _react.useEffect)(() => {
    if (hasBs4 === null) {
      setHasBs4(bs4test());
    }
  }, [hasBs4]);

  if (!hasBs4) {
    return /*#__PURE__*/_react.default.createElement(_reactHelmet.default, null, /*#__PURE__*/_react.default.createElement("link", {
      rel: "stylesheet",
      href: "https://stackpath.bootstrapcdn.com/bootstrap/4.4.1/css/bootstrap.min.css",
      integrity: "sha384-Vkoo8x4CGsO3+Hhxv8T/Q5PaXtkKtu6ug5TOeNV6gBiFeWPGFN9MuhOf23Q9Ifjh",
      crossOrigin: "anonymous"
    }));
  }

  return null;
};

exports.BootstrapStyles = BootstrapStyles;