"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireWildcard(require("react"));

var _core = require("@runly/core");

function _getRequireWildcardCache() { if (typeof WeakMap !== "function") return null; var cache = new WeakMap(); _getRequireWildcardCache = function () { return cache; }; return cache; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

const OrgChooser = ({
  onChange,
  ...props
}) => {
  const {
    isFetched,
    body: orgs
  } = (0, _core.useFetchOrgAccounts)();
  (0, _react.useEffect)(() => {
    if (orgs && onChange) {
      onChange(orgs[0].id);
    }
  }, [orgs, onChange]);
  const handleChange = (0, _react.useCallback)(ev => {
    if (onChange) {
      onChange(ev.target.value);
    }
  }, [onChange]);

  if (!isFetched) {
    return /*#__PURE__*/_react.default.createElement("input", {
      type: "text",
      className: "form-control",
      disabled: true,
      placeholder: "Loading organizations..."
    });
  }

  return /*#__PURE__*/_react.default.createElement("select", _extends({
    className: "form-control",
    onChange: handleChange
  }, props), orgs.map(({
    id,
    name
  }) => /*#__PURE__*/_react.default.createElement("option", {
    key: id,
    value: id
  }, name)));
};

var _default = OrgChooser;
exports.default = _default;