"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireWildcard(require("react"));

var _core = require("@runly/core");

function _getRequireWildcardCache() { if (typeof WeakMap !== "function") return null; var cache = new WeakMap(); _getRequireWildcardCache = function () { return cache; }; return cache; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

const RetryRun = ({
  org,
  run,
  onRequeued
}) => {
  const {
    fetch: requeue,
    body: newRun,
    isFetching: isQueueing,
    error
  } = (0, _core.useRequeueRun)(org, run.id);
  const handleClick = (0, _react.useCallback)(() => requeue(), [requeue]);
  (0, _react.useEffect)(() => {
    if (newRun && onRequeued) {
      onRequeued(newRun);
    }
  }, [newRun, onRequeued]);
  if (run.state == "Enqueued" || run.state == "Running") return null;
  if (run.state == "Successful" && run.progress.failed == 0) return null;
  return /*#__PURE__*/_react.default.createElement(_react.default.Fragment, null, /*#__PURE__*/_react.default.createElement("button", {
    type: "button",
    className: "btn btn-secondary btn-sm",
    onClick: handleClick,
    disabled: isQueueing
  }, isQueueing ? /*#__PURE__*/_react.default.createElement("span", {
    className: "spinner-border spinner-border-sm",
    role: "status",
    "aria-hidden": "true"
  }) : null, isQueueing ? "Queueing..." : "Retry"), /*#__PURE__*/_react.default.createElement("br", null), error ? /*#__PURE__*/_react.default.createElement("small", {
    className: "text-danger"
  }, error.message) : null);
};

var _default = RetryRun;
exports.default = _default;